--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Create a new Netmask from string <em>str</em>, which must be in the form <em>nick</em>!<em>user</em>@<em>host</em>
- !ruby/struct:SM::Flow::P 
  body: "It is possible to specify a server or a casemap in the optional Hash: these are used to associate the Netmask with the given server and to set its casemap: if a server is specified and a casemap is not, the server's casemap is used. If both a server and a casemap are specified, the casemap must match the server's casemap or an exception will be raised."
- !ruby/struct:SM::Flow::P 
  body: Empty <tt>nick</tt>, <tt>user</tt> or <tt>host</tt> are converted to the generic glob pattern
full_name: Irc::Netmask::new
is_singleton: true
name: new
params: (str="", opts={})
visibility: public
